> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roostedhr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tasks

<Info>
  Paginated. Use `page` (default 1) and `items_per_page` (max 100) to navigate results.
</Info>


## OpenAPI

````yaml api-reference/v01.12.00/openapi-v01.12.00.json GET /ats-tasks
openapi: 3.0.0
info:
  title: Roosted
  version: 0.1.12
  contact:
    name: Support
    url: https://support.roostedhr.com/support/home
    email: support@roostedhr.com
  description: |-
    Enterprise API

    Sandbox keys and Production keys are requested from support
servers:
  - url: https://api.roostedhr.com/api/1_12
  - url: https://sandbox.roostedhr.com/api/1_12
security:
  - X-API-KEY: []
tags:
  - name: Announcements
  - name: Areas
  - name: Clients
  - name: Company
  - name: Configuration
  - name: Events
  - name: Locations
  - name: Payroll Groups
  - name: Rate Cards
  - name: Shifts
  - name: Skillsets
  - name: Time Tracking
  - name: Wage Rules
  - name: Workers
paths:
  /ats-tasks:
    get:
      tags:
        - ATS Pipelines
      summary: List Tasks
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
        - name: items_per_page
          in: query
          schema:
            type: integer
            default: 25
            maximum: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  tasks:
                    type: array
                    items:
                      $ref: '#/components/schemas/AtsTask'
                  total:
                    type: integer
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  error:
                    type: string
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  error:
                    type: string
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: string
                  error:
                    type: string
components:
  schemas:
    AtsTask:
      type: object
      properties:
        id:
          type: integer
        application_id:
          type: integer
        title:
          type: string
        description:
          type: string
        assigned_to:
          type: integer
        due_date:
          type: string
          format: date
        status:
          type: string
          enum:
            - pending
            - completed
            - overdue
        reminder_days_before:
          type: integer
        created_at:
          type: string
          format: date-time
  securitySchemes:
    X-API-KEY:
      name: X-API-KEY
      type: apiKey
      in: header

````